<?php
require("model/TaskModel.php");

class VisitorCtrl
{
    private $taskModel;
    private $userModel;
    private $isUser;
    private $TabVues;

    function __construct($con, $TabVues, $isUser){
        $this->TabVues = $TabVues;
        $this->isUser = $isUser;
        $dvueErreur = array();
        $this->taskModel = new TaskModel($con);
        $this->userModel = new UserModel($con);
        try{
            if(isset($_REQUEST['action']))
                $action = $_REQUEST['action'];
            else
                $action = null;
            
            switch($action){
                case null:
                    $this->loadHome();
                    # initialize la page home avec tout les listes
                    break;

                case 'pageConnection':
                    $this->go_connection();
                    break;

                case 'connecter':
                    $this->connection();
                    # charge la vue de connexion
                    break;
                
                case 'pageRegister':
                    $this->go_register();
                    break;

                case 'register':
                    $this->register();
                    # charge la vue de connexion
                    break;

                case 'pageListe':
                    $this->go_list();
                    break;
                
                case 'creerListe':
                    $this->makeList();
                    # creer une liste publique
                    break;
                
                case 'supprimerListe':
                    $this->eraseList();
                    # supprime une liste publique
                    break;
                
                case 'pageTache':
                    $this->go_task();
                    break;
                
                case 'ajouterTache': 
                    $this->addTask();
                    # ajouter une tache a une liste pub
                    break;
                
                case 'supprimerTache':
                    $this->eraseTask();
                    # supprimer une tache
                    break;
                
                default:
                    # 
                    $TMessage[] = 'Unexpected error';
                    require($this->TabVues["erreur"]); 
                    break;
            }
            
        } catch (Exception $e) {
            require($this->TabVues["erreur"]); 
        }
    }
    function loadHome(){
        $public_lists = $this->taskModel->loadPublicLists();
        $user = $this->isUser;
        require($this->TabVues["home"]); 
    }

    function go_connection(){
        $user = $this->isUser;
        require($this->TabVues["connection"]);
    }

    function connection(){
        $this->userModel->connexion($user,$mdp);
    }

    function go_register(){
        $user = $this->isUser;
        require($this->TabVues["register"]);
    }

    function register(){
        $this->userModel->ajouter($user,$mdp);
    }
    
    function go_list(){
        $user = $this->isUser;
        require($this->TabVues["newList"]);
    }

    function makeList(){

    }

    function eraseList(){

    }

    function go_task(){

    }

    function addTask(){

    }

    function eraseTask(){

    }
        
}
?>